
import 'package:cpt_job/modules/labour_request_add/labour_request_add_page.dart';
import 'package:cpt_job/modules/labour_request_list/labour_request_list_page.dart';
import 'package:cpt_job/modules/labour_request_workflow/labour_request_workflow_page.dart';
import 'package:get/get.dart';
import 'package:router/path/router_path.dart';

import '../modules/sign_in_sign_out/sign_in_sign_out_page.dart';

class JobPageRouter {

  static final routes = [

    //签到签出
    GetPage(
      name: RouterPath.JOB_SIGN_IN_SIGN_OUT,
      page: () => SignInSignOutPage(),
    ),

    //用工请求列表
    GetPage(
      name: RouterPath.JOB_LABOUR_REQUEST_LIST,
      page: () => LabourRequestListPage(),
    ),

    //用工请求添加
    GetPage(
      name: RouterPath.JOB_LABOUR_REQUEST_ADD,
      page: () => LabourRequestAddPage(),
    ),

    //用工请求状态修改工作流
    GetPage(
      name: RouterPath.JOB_LABOUR_REQUEST_WORKFLOW,
      page: () => LabourRequestWorkflowPage(),
    ),

  ];
}
