import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/labour_request_add_option_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/labour_request_add_option_entity.g.dart';

@JsonSerializable()
class LabourRequestAddOptionEntity {
	@JSONField(name: "template_list")
	List<LabourRequestAddOptionTemplateList>? templateList = [];
	@JSONField(name: "department_list")
	List<LabourRequestAddOptionDepartmentList>? departmentList = [];

	LabourRequestAddOptionEntity();

	factory LabourRequestAddOptionEntity.fromJson(Map<String, dynamic> json) => $LabourRequestAddOptionEntityFromJson(json);

	Map<String, dynamic> toJson() => $LabourRequestAddOptionEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class LabourRequestAddOptionTemplateList {
	int? value = 0;
	String? txt = '';
	String? selected = '';

	LabourRequestAddOptionTemplateList();

	factory LabourRequestAddOptionTemplateList.fromJson(Map<String, dynamic> json) => $LabourRequestAddOptionTemplateListFromJson(json);

	Map<String, dynamic> toJson() => $LabourRequestAddOptionTemplateListToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class LabourRequestAddOptionDepartmentList {
	int? value = 0;
	String? txt = '';
	String? selected = '';

	LabourRequestAddOptionDepartmentList();

	factory LabourRequestAddOptionDepartmentList.fromJson(Map<String, dynamic> json) => $LabourRequestAddOptionDepartmentListFromJson(json);

	Map<String, dynamic> toJson() => $LabourRequestAddOptionDepartmentListToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}