import 'package:domain/generated/json/base/json_convert_content.dart';
import 'package:domain/entity/response/labour_request_add_option_entity.dart';

LabourRequestAddOptionEntity $LabourRequestAddOptionEntityFromJson(Map<String, dynamic> json) {
  final LabourRequestAddOptionEntity labourRequestAddOptionEntity = LabourRequestAddOptionEntity();
  final List<LabourRequestAddOptionTemplateList>? templateList = (json['template_list'] as List<dynamic>?)?.map(
          (e) => jsonConvert.convert<LabourRequestAddOptionTemplateList>(e) as LabourRequestAddOptionTemplateList).toList();
  if (templateList != null) {
    labourRequestAddOptionEntity.templateList = templateList;
  }
  final List<LabourRequestAddOptionDepartmentList>? departmentList = (json['department_list'] as List<dynamic>?)?.map(
          (e) => jsonConvert.convert<LabourRequestAddOptionDepartmentList>(e) as LabourRequestAddOptionDepartmentList).toList();
  if (departmentList != null) {
    labourRequestAddOptionEntity.departmentList = departmentList;
  }
  return labourRequestAddOptionEntity;
}

Map<String, dynamic> $LabourRequestAddOptionEntityToJson(LabourRequestAddOptionEntity entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['template_list'] = entity.templateList?.map((v) => v.toJson()).toList();
  data['department_list'] = entity.departmentList?.map((v) => v.toJson()).toList();
  return data;
}

extension LabourRequestAddOptionEntityExtension on LabourRequestAddOptionEntity {
  LabourRequestAddOptionEntity copyWith({
    List<LabourRequestAddOptionTemplateList>? templateList,
    List<LabourRequestAddOptionDepartmentList>? departmentList,
  }) {
    return LabourRequestAddOptionEntity()
      ..templateList = templateList ?? this.templateList
      ..departmentList = departmentList ?? this.departmentList;
  }
}

LabourRequestAddOptionTemplateList $LabourRequestAddOptionTemplateListFromJson(Map<String, dynamic> json) {
  final LabourRequestAddOptionTemplateList labourRequestAddOptionTemplateList = LabourRequestAddOptionTemplateList();
  final int? value = jsonConvert.convert<int>(json['value']);
  if (value != null) {
    labourRequestAddOptionTemplateList.value = value;
  }
  final String? txt = jsonConvert.convert<String>(json['txt']);
  if (txt != null) {
    labourRequestAddOptionTemplateList.txt = txt;
  }
  final String? selected = jsonConvert.convert<String>(json['selected']);
  if (selected != null) {
    labourRequestAddOptionTemplateList.selected = selected;
  }
  return labourRequestAddOptionTemplateList;
}

Map<String, dynamic> $LabourRequestAddOptionTemplateListToJson(LabourRequestAddOptionTemplateList entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['value'] = entity.value;
  data['txt'] = entity.txt;
  data['selected'] = entity.selected;
  return data;
}

extension LabourRequestAddOptionTemplateListExtension on LabourRequestAddOptionTemplateList {
  LabourRequestAddOptionTemplateList copyWith({
    int? value,
    String? txt,
    String? selected,
  }) {
    return LabourRequestAddOptionTemplateList()
      ..value = value ?? this.value
      ..txt = txt ?? this.txt
      ..selected = selected ?? this.selected;
  }
}

LabourRequestAddOptionDepartmentList $LabourRequestAddOptionDepartmentListFromJson(Map<String, dynamic> json) {
  final LabourRequestAddOptionDepartmentList labourRequestAddOptionDepartmentList = LabourRequestAddOptionDepartmentList();
  final int? value = jsonConvert.convert<int>(json['value']);
  if (value != null) {
    labourRequestAddOptionDepartmentList.value = value;
  }
  final String? txt = jsonConvert.convert<String>(json['txt']);
  if (txt != null) {
    labourRequestAddOptionDepartmentList.txt = txt;
  }
  final String? selected = jsonConvert.convert<String>(json['selected']);
  if (selected != null) {
    labourRequestAddOptionDepartmentList.selected = selected;
  }
  return labourRequestAddOptionDepartmentList;
}

Map<String, dynamic> $LabourRequestAddOptionDepartmentListToJson(LabourRequestAddOptionDepartmentList entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['value'] = entity.value;
  data['txt'] = entity.txt;
  data['selected'] = entity.selected;
  return data;
}

extension LabourRequestAddOptionDepartmentListExtension on LabourRequestAddOptionDepartmentList {
  LabourRequestAddOptionDepartmentList copyWith({
    int? value,
    String? txt,
    String? selected,
  }) {
    return LabourRequestAddOptionDepartmentList()
      ..value = value ?? this.value
      ..txt = txt ?? this.txt
      ..selected = selected ?? this.selected;
  }
}